extends Node3D

@onready var animation_player: = $"3DGodotRobot/AnimationPlayer"

var anims: Array[StringName] = [
	&"Attack1",
	&"Emote1",
	&"Emote2",
	&"Sprint",
	&"Idle",
]

func _ready() -> void:
	rotate_y(deg_to_rad(randf_range(-180.0, 180.0)))
	scale = Vector3.ONE * randf_range(0.6, 1.4)
	animation_player.play(&"Idle")
	start_anim()

func start_anim() -> void:
	await get_tree().create_timer(randf_range(0.0, 5.0)).timeout
	var pick: StringName = anims.pick_random()
	var anim: Animation = animation_player.get_animation(pick)
	animation_player.play(pick)
	anim.loop_mode = Animation.LOOP_LINEAR
